#include <stdio.h>
#define MAX 50
#include <stdlib.h>

void ucitaj_matricu(int mat[][MAX],int *m,int* n)
{
  int i,j;
  scanf("%d %d",m,n);
    for(i = 0; i < *m; i++)
	for(j = 0;j<*n; j++)
	    scanf("%d",&mat[i][j]);
}

int sume(int mat[][MAX],int m, int n, int* p, int* k)
{
  int i,j,s = 0;
  scanf("%d %d",p,k);
    if(*p>m || *k>n){ printf("-1\n"); exit(EXIT_FAILURE);}
   
  for(i = 0;i< *p; i++)
	for(j = 0; j< *k; j++)
	    s+= mat[i][j];
	
	return s;
}
int main(){
 
  int mat[MAX][MAX],m,n,p,k;
  
  ucitaj_matricu(mat,&m,&n);
 printf("%d\n", sume(mat,m,n,&p,&k));
  

  return 0;
}